Commit cacd670b authored by Alexander Semke's avatar Alexander Semke
Browse files

[octave] changed the default octave executable from 'octave-cli' to 'octave'...

[octave] changed the default octave executable from 'octave-cli' to 'octave' which seems to be the only working interface in >6.0 and set the recommended version to 6.2.

BUG: 434271
FIXED-IN: 22.03
parent e29a39ab
Pipeline #121115 passed with stage
in 23 minutes and 15 seconds
......@@ -27,7 +27,7 @@ QString OctaveBackend::id() const
QString OctaveBackend::version() const
{
return QLatin1String("5.2");
return QLatin1String("6.2");
}
Cantor::Backend::Capabilities OctaveBackend::capabilities() const
......
......@@ -11,9 +11,9 @@
<default code="true">
[this] {
#ifdef Q_OS_WIN
return QUrl::fromLocalFile(QStandardPaths::findExecutable( QLatin1String("octave-cli.exe") ));
return QUrl::fromLocalFile(QStandardPaths::findExecutable( QLatin1String("octave.exe") ));
#else
return QUrl::fromLocalFile(QStandardPaths::findExecutable( QLatin1String("octave-cli") ));
return QUrl::fromLocalFile(QStandardPaths::findExecutable( QLatin1String("octave") ));
#endif
} ()
</default>
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment